darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Patch.FileHunk

# Documentation

data FileHunk x y

Constructors

FileHunk !FileName !Int [ByteString] [ByteString] |

class IsHunk p where

Methods

isHunk :: p x y -> Maybe (FileHunk x y)

Instances

IsHunk Prim |
IsHunk Prim |
IsHunk DummyPatch |
IsHunk prim => IsHunk (Patch prim) |
IsHunk (Named p) |
IsHunk (PatchInfoAnd p) |
IsHunk prim => IsHunk (RealPatch prim) |

showFileHunk :: FileNameFormat -> FileHunk x y -> Doc